# Retrieve entities using a scroll-based query

Lists all entities using a scroll-based query for efficient large result set traversal. The Querying API supports various [operators](#tag/querying) for filter types that use an `operator` field. Relation filters do not support operators.

Endpoint: POST /api/entities/scroll
Version: v3.0
Security: OAuth2.0

## Security:

  - `OAuth2.0` (unknown)
    oauth2

## Header parameters:

  - `X-ApiVersion` (integer, required)

## Request body:

  - `application/json-patch+json, application/json, text/json, application/*+json` (unknown)
    The scroll.

## Request fields (application/json-patch+json):

  - `scroll_id` (string)
    The ID of the scroll session to get the next results for.

  - `scroll_time` (string)
    The time to keep the scroll session active.

  - `load_configuration` (object)
    Represents the configuration for loading an entity.

  - `load_configuration.culture_option` (object)
    Represents options for loading cultures.

  - `load_configuration.culture_option.load_option` (string)
    An enum of possible load options.
    Enum: "None", "Default", "Custom", "All"

  - `load_configuration.culture_option.cultures` (array)
    Gets or sets a list of culture names that need to be loaded. This is only useful when `Stylelabs.M.Base.Entities.Loading.CultureLoadOption.LoadOption` is `Stylelabs.M.Base.Entities.Loading.LoadOption.Custom`.

  - `load_configuration.property_option` (object)
    Represents options for loading properties.

  - `load_configuration.property_option.properties` (array)
    Gets or sets a list of property names (case insensitive) that need to be loaded.
This is only useful when `Stylelabs.M.Base.Entities.Loading.PropertyLoadOption.LoadOption` is `Stylelabs.M.Base.Entities.Loading.LoadOption.Custom`.

  - `load_configuration.relation_option` (object)
    Represents options for loading relations.

  - `load_configuration.relation_option.relations` (array)
    Gets or sets a list of relations that need to be loaded.
This is only useful when `Stylelabs.M.Base.Entities.Loading.RelationLoadOption.LoadOption` is `Stylelabs.M.Base.Entities.Loading.LoadOption.Custom`.

  - `load_configuration.relation_option.relations.name` (string)
    Name of the relation (case insensitive).

  - `load_configuration.relation_option.relations.role` (string)
    Enum: "Parent", "Child"

  - `load_configuration.relation_option.max_related_items` (integer)
    Gets or sets the maximum number of related items for each relation.

## Response 200:

  - `200` (unknown)
    Successful operation

## Response 200 fields (application/json):

  - `scroll_id` (string)

  - `items` (array)
    Gets or sets the list of items.

  - `items.link` (object)
    Represents a link to a resource.

  - `items.link.href` (string)
    Gets or sets the URI that points to the resource this link refers to.

  - `items.link.filename_properties` (array)
    Gets or sets the URI that points to the resource this link refers to.

  - `items.link.title` (string)
    Gets or sets the title that describes this link.

  - `items.link.templated` (boolean)
    Gets or sets a value indicating whether the contained URI is a template.

  - `items.entity` (object)
    Represents an entity resource with various properties, relations, and metadata.

  - `items.entity.id` (integer)
    The ID for the entity, for example, `39752`.

  - `items.entity.identifier` (string)
    The identifier for the entity.

  - `items.entity.cultures` (array)
    The cultures associated with the entity, for example, `en-US`.

  - `items.entity.properties` (object)
    The properties of the entity.

  - `items.entity.relations` (object)
    The relations of the entity.

  - `items.entity.created_on` (string)
    The date and time when the entity was created.

  - `items.entity.modified_on` (string)
    The date and time when the entity was last modified.

  - `items.entity.locked_on` (string)
    The date and time when the entity was locked.

  - `items.entity.requested_permissions` (object)
    The requested permissions with identification if a certain user has the permissions.

  - `items.entity.is_root_taxonomy_item` (boolean)
    Gets or sets a value indicating whether the entity is a root taxonomy item.

  - `items.entity.is_path_root` (boolean)
    Gets or sets a value indicating whether the entity is a path root.

  - `items.entity.inherits_security` (boolean)
    Gets or sets a value indicating whether the entity inherits security.

  - `items.entity.is_system_owned` (boolean)
    Gets or sets a value indicating whether the entity is system owned.

  - `items.entity.version` (integer)
    The version of the entity.

  - `items.entity.modules` (array)
    The modules associated with the entity.

  - `total_items` (integer)
    Gets or sets the total number of items.

  - `returned_items` (integer)
    Gets or sets the number of returned items.

  - `offset` (integer)
    Gets or sets the offset of the items.

## Response 400:

  - `400` (unknown)
    Request is not valid

## Response 401:

  - `401` (unknown)
    Unauthorized request or invalid access token

